#
# spec file for package python-yq
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#



Name:           python-yq
Version:        2.7.2
Release:        10%{dist}
Summary:        Command-line YAML processor - jq wrapper for YAML documents
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/kislyuk/yq
Source:         https://files.pythonhosted.org/packages/source/y/yq/yq-%{version}.tar.gz
BuildRequires:  python3-setuptools
BuildRequires:  python3-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  python3-pyyaml >= 3.11
BuildRequires:  python3-toml >= 0.9.4
BuildRequires:  python3-xmltodict >= 0.11.0
BuildRequires:  jq
# /SECTION


%description
yq: Command-line YAML processor - jq wrapper for YAML documents


%package -n python3-yq
Summary: Command-line YAML processor - jq wrapper for YAML documents
Requires:       jq
Requires:       python3-pyyaml >= 3.11
Requires:       python3-toml >= 0.9.4
Requires:       python3-xmltodict >= 0.11.0

%description -n python3-yq
yq: Command-line YAML processor - jq wrapper for YAML documents


%prep
%setup -q -n yq-%{version}

%build
%py3_build

%install
%py3_install


%check
export LANG=en_US.UTF-8
PYTHONPATH=%{buildroot}%{python3_sitelib} python3 test/test.py -v

%files -n python3-yq
%license LICENSE
%doc README.rst
%{_bindir}/yq
%{_bindir}/xq
%{python3_sitelib}/*

%changelog
* Tue May 21 2019 John Vandenberg <jayvdb@gmail.com>
- Add runtime dependency jq
- Set LANG in %%check to make tests pass on Leap builds
* Wed Mar 27 2019 Matej Cepl <mcepl@suse.com>
- Run test suite at least for Python 3
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 2.7.2
  * xq: Introduce –xml-dtd and –xml-root.
  * TOML support is optional and experimental
  * TOML support with the tq executable entry point.
  * Disallow argparse abbreviated options.
  * Parse unrecognized tags instead of dropping them.
  * Ignore unrecognized YAML tags instead of crashing.
  * xq -x: Raise understandable error on non-dict conversion failure.
  * Support XML parsing with xmltodict.
  * Fix for the –from-file/-f argument: Re-route jq_filter to files
    when using –from-file.
  * Parse and pass multiple positional-consuming jq args.
  * Support jq arguments that consume subsequent positionals.
  * Support bare YAML dates and times.
- package LICENSE
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Dec 20 2017 tbechtold@suse.com
- Initial packaging (version 2.3.3)
